# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXLoopDone

Function

Terminates a loop

Syntax
`
#include <dx/dx.h>
`

void DXLoopDone(int done)

Functional Details

If this routine is called with a value of `done`=1, then any currently executing loop within the macro containing the module calling DXLoopDone will terminate. In this way it acts much like the Done module. Note that if you call DXLoopDone with a value of 1, and then later call it with a value of 0, the loop will still terminate.

Return Value Does not return a value.

See Also

`DXLoopFirst`

13.7 , "Looping Support".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]